### Method

# FwupdPlugin Efivars create_boot_entry_for_volume

#### Declaration [src]

    gboolean
    fu_efivars_create_boot_entry_for_volume (
      FuEfivars* self,
      guint16 idx,
      FuVolume* volume,
      const gchar* name,
      const gchar* target,
      GError** error
    )

#### Description [src]

Creates a BootXXXX variable for a given volume, name and target.

If `target` does not exist on the volume then a dummy file is created.

Available since: | 2.0.6

#### Parameters

`idx` | `guint16`
| Boot index, typically 0x0001
`volume` | `FuVolume`
| A `FuVolume`.
| The data is owned by the caller of the function.
`name` | `const gchar*`
| A display name, e.g. “Fedora”
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`target` | `const gchar*`
| An EFI binary, e.g. “shim.efi”
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` on success.